# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog][1], and this project adheres
to [Semantic Versioning][2].

## Unreleased

## 1.0.0 - 2018-06-13

### Changed

* Rewrote basically everything to make it much better.

## 0.2.1 - 2018-01-23

### Changed

* Moved `doc/release-notes.txt` to `CHANGELOG.md`.

* Converted `LICENSE`, `README`, and `doc/*.txt` to Markdown and renamed
  to `.md` extension.

## 0.2.0 - 2017-04-26

### Added

* Added `doc/release-notes.txt` to the binary distribution.

### Changed

* Moved `JavaUtilities` to an internal package.

* Upgraded to JUnit 4.12.

* Made minor improvements to the API reference (Javadoc).

* Made build system capable of using a default version without creating a
  `VERSION` file.

## 0.1.1 - 2017-03-09

### Changed

* Reduced redundancy in error messages printed with `Program.printErrorln` by
  not printing the `Throwable`'s message if the stack trace is printed.

## 0.1.0 - 2014-07-15

* First public release.

[1]: https://keepachangelog.com/en/1.0.0/
[2]: https://semver.org/spec/v2.0.0.html
