# Building

## Build Library

```
$ ant fetch
$ ant build
```

The `fetch` target downloads library dependencies and requires Internet
connectivity.  It only needs to be run once, or after running the
`distclean` target.

## Build Test Cases

```
$ ant build-test
```

## Build API Documentation

```
$ ant javadoc
```

## Build Library JAR

```
$ ant jar
```

## Build Sources JAR

```
$ ant jar-sources
```

## Build API Documentation JAR

```
$ ant jar-javadoc
```

## Clean a Build

```
$ ant clean
```

## "Distclean" a Build

```
$ ant distclean
```

This is the same as the `clean` target, but it also removes files
downloaded or extracted by the `fetch` target.
